Subject: Japan Working Group Conference Call
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 17 Apr 2000 01:05:00 -0700 (PDT)

Nick O'Day is proposing to hold the next Japan Working Group Conference Call 
on Tuesday 25 April at 9am (Houston time).  Nick will be visiting Houston 
over the period 24 April to 27 April and would like to hold the call during 
this period.

Please let me know if you will not be available for this call.